#ifndef _LIBI2C_H
#define _LIBI2C_H

#include <pic18fregs.h>	// /usr/share/sdcc/include/pic16/pic18f*.h

#define I2C_EEPROM_ADR	0b1010000

extern unsigned char i2c_adr0;		// 				<i2c_adr2>	<i2c_adr1>	<i2c_adr0>
extern unsigned char i2c_adr1;		// 256Kbits:	1010_0AAW	0aaa_aaaa	aaaa_aaaa	15bits/ 32Kbytes
extern unsigned char i2c_adr2;		//   1Mbits:	1010_AAaW	aaaa_aaaa	aaaa_aaaa	17bits/128Kbytes
extern unsigned char i2c_ctrl;
extern unsigned char i2c_data;

void i2c_init();
void i2c_eeprom_byte_write();
void i2c_eeprom_random_read();
void i2c_eeprom_cur_read();
void i2c_st7032_send();

#endif /* _LIBI2C_H */

